{
  "name": "apexcharts",
  "version": "3.27.3",
  "description": "A JavaScript Chart Library",
  "repository": {
    "type": "git",
    "url": "https://github.com/apexcharts/apexcharts.js.git"
  },
  "main": "dist/apexcharts.common.js",
  "unpkg": "dist/apexcharts.js",
  "jsdelivr": "dist/apexcharts.js",
  "typings": "types/apexcharts.d.ts",
  "files": [
    "src",
    "dist/*.js",
    "dist/*.css",
    "dist/locales/*.json",
    "types/*.d.ts"
  ],
  "scripts": {
    "dev": "rollup -w -c build/config.js --environment TARGET:web-umd-dev",
    "dev:cjs": "rollup -w -c build/config.js --environment TARGET:web-cjs",
    "bundle": "node build/build.js",
    "build": "npm run bundle && webpack -p",
    "build:umd": "rollup -w -c build/config.js --environment TARGET:web-umd-dev",
    "build:amd": "webpack -p",
    "lint": "eslint . ",
    "lint:fix": "eslint . --fix",
    "test": "npm run e2e && npm run unit",
    "unit": "jest tests/unit/",
    "e2e": "node tests/e2e/samples.js test",
    "e2e:update": "node tests/e2e/samples.js update",
    "build:samples": "node samples/source/index.js generate"
  },
  "dependencies": {
    "svg.draggable.js": "^2.2.2",
    "svg.easing.js": "^2.0.0",
    "svg.filter.js": "^2.0.2",
    "svg.pathmorphing.js": "^0.1.3",
    "svg.resize.js": "^1.4.3",
    "svg.select.js": "^3.0.1"
  },
  "devDependencies": {
    "@babel/core": "^7.8.7",
    "@babel/plugin-proposal-class-properties": "^7.8.3",
    "@babel/preset-env": "^7.8.7",
    "@rollup/plugin-babel": "^5.2.1",
    "@rollup/plugin-json": "4.0.1",
    "@rollup/plugin-node-resolve": "6.0.0",
    "@rollup/plugin-replace": "2.3.0",
    "@rollup/plugin-strip": "1.3.1",
    "babel-eslint": "10.0.3",
    "babel-jest": "26.0.1",
    "babel-loader": "8.0.6",
    "babel-plugin-istanbul": "6.0.0",
    "chalk": "3.0.0",
    "css-loader": "3.4.1",
    "eslint": "6.8.0",
    "eslint-config-prettier": "6.9.0",
    "eslint-loader": "3.0.3",
    "eslint-plugin-import": "2.19.1",
    "eslint-plugin-prettier": "3.1.2",
    "eslint-plugin-promise": "4.2.1",
    "fs-extra": "8.1.0",
    "jest": "26.0.1",
    "nunjucks": "3.2.1",
    "nyc": "15.0.0",
    "pixelmatch": "5.1.0",
    "pngjs": "3.4.0",
    "prettier": "1.19.1",
    "puppeteer": "2.0.0",
    "puppeteer-cluster": "0.18.0",
    "rollup": "2.33.0",
    "rollup-plugin-babel": "4.4.0",
    "rollup-plugin-copy-glob": "0.3.1",
    "rollup-plugin-postcss": "2.0.3",
    "rollup-plugin-svgo": "1.1.0",
    "rollup-plugin-terser": "7.0.2",
    "style-loader": "1.1.2",
    "svg-inline-loader": "0.8.0",
    "terser": "5.3.8",
    "tslint": "5.12.1",
    "typescript": "3.2.2",
    "webpack": "5.3.2",
    "webpack-bundle-analyzer": "3.9.0",
    "webpack-cli": "^3.3.10"
  },
  "author": {
    "name": "Juned Chhipa",
    "email": "juned.chhipa@gmail.com"
  },
  "bugs": {
    "url": "https://github.com/apexcharts/apexcharts.js/issues"
  },
  "funding": {
    "url": "https://github.com/apexcharts/apexcharts.js?sponsor=1"
  },
  "license": "MIT",
  "licenses": [
    {
      "type": "MIT",
      "url": "http://www.opensource.org/licenses/mit-license.php"
    }
  ],
  "homepage": "https://apexcharts.com",
  "keywords": [
    "charts",
    "graphs",
    "visualizations",
    "data"
  ]
}
